# Uses of Class
de.geolykt.starloader.transformers.RawClassData

Packages that use RawClassData
Package
Description
de.geolykt.starloader.transformers
Classes for runtime code transforming.
net.minestom.server.extras.selfmodification

## Uses of RawClassData in de.geolykt.starloader.transformers

Methods in de.geolykt.starloader.transformers with parameters of type RawClassData
Modifier and Type
Method
Description
`@NotNull Class<?>`
TransformableClassloader.`transformAndDefineClass(@NotNull String className, @NotNull RawClassData data)`

## Uses of RawClassData in net.minestom.server.extras.selfmodification

Methods in net.minestom.server.extras.selfmodification that return RawClassData
Modifier and Type
Method
Description
`RawClassData`
MinestomRootClassLoader.`loadClassBytes(String name, boolean transform)`
Loads and possibly transforms class bytecode corresponding to the given binary name.
Methods in net.minestom.server.extras.selfmodification with parameters of type RawClassData
Modifier and Type
Method
Description
`@NotNull Class<?>`
MinestomRootClassLoader.`transformAndDefineClass(@NotNull String className, @NotNull RawClassData data)`